Endpoints
GET /v1/config
Returns the widget display and behavior settings for your brokerage.
GET
/
v1
/
config
GET /v1/config
curl --request GET \
--url https://api.example.com/v1/configconst options = {method: 'GET'};
fetch('https://api.example.com/v1/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/v1/config"
response = requests.get(url)
print(response.text)Request
curl -H "X-ARIS-API-Key: aris_yourkey" \
"https://dqgynnlsclfbqysauesf.supabase.co/functions/v1/api-router/v1/config"
Response
Show Response fields
Show Response fields
string
Hex color for the widget theme.
string
Secondary hex color.
string
Brokerage logo URL.
string
Display name.
string
First message shown to visitors.
string
rounded, square, or pill.string
bottom-right or bottom-left.string
Widget header title.
string
Widget header subtitle.
string
Toggle button label.
boolean
Whether HeyGen AI avatar is enabled.
string
HeyGen avatar ID.
string
HeyGen voice ID.
Example response
{
"primaryColor": "#1e3a8a",
"secondaryColor": "#06b6d4",
"logoUrl": "https://example.com/logo.png",
"brokerageName": "Acme Realty",
"greetingMessage": "Hi! How can I help you find your perfect home today?",
"buttonStyle": "rounded",
"chatPosition": "bottom-right",
"title": "Acme Realty Assistant",
"subtitle": "here to find your next home",
"buttonText": "Chat with AI",
"avatarEnabled": false,
"avatarId": null,
"voiceId": null
}
⌘I
GET /v1/config
curl --request GET \
--url https://api.example.com/v1/configconst options = {method: 'GET'};
fetch('https://api.example.com/v1/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/v1/config"
response = requests.get(url)
print(response.text)